@echo off
REM *-------------------------------------------------------------------
REM *	Command file to Make a Windows Console program...
REM *     which will be known as: SIMPLYCPP.EXE
REM * 
REM *	Daniel B. Sedory -- March 12, 2004
REM *
REM *-------------------------------------------------------------------

cls
echo.
echo    Building simplycpp.exe ...
echo.

REM *	Compile Source Code (files)
REM *-------------------------------------------------------------------
C:\bc55\bin\bcc32 -tWC -c -w simplycpp.cpp

if errorlevel 1 goto ERROR

REM *	Link if compile was successful
REM *-------------------------------------------------------------------
C:\bc55\bin\ilink32 simplycpp.obj c0x32.obj, simplycpp.exe,,import32.lib cw32.lib,,/ap/Gn/x

echo.
if errorlevel 1 goto ERROR2
echo  Link Successful; you still need to test your program!
GOTO DONE

REM *	Compiler error(s)!
REM -------------------------------------------------------------------
:ERROR
echo.
echo    Error(s) in compile.  Aborting Link!
echo.
goto DONE

REM *	Linker error(s)!
REM -------------------------------------------------------------------
:ERROR2
echo.
echo    Link was NOT successful!
echo.

:DONE
echo.
echo    Cleaning up Object and Debug files...
echo.
del simplycpp.obj
del simplycpp.tds
pause
cls

:END
